System Requirements

The latest system requirements for Zoom can be found on this page

Windows

  • Dual Core 2Ghz or Higher (i3/i5/i7 or AMD equivalent)
  • Windows 10, 8.1, Windows 7
  • 4GB of RAM minimum
  • Browser: IE 11+,  Edge 12+, Firefox 27+,  Chrome 30+
  • Zoom Application - download here

Mac OS

  • Quad Core or faster processor
  • 4GB of RAM minimum
  • Browser: Safari 7+, Firefox 27+,  Chrome 30+
  • Zoom Application - download here

Linux

  • Ubuntu 12.04 or higher; Red Hat Enterprise Linux 6.4 or higher
  • Browser: Firefox 27+,  Chrome 30+
  • Zoom Application - download here

Mobile

  • Zoom App

Other Requirements

You will require a broadband connection of at least 3mbps up and down. A wired connection is preferable to a wireless one.

All tutorials are in English so you must have a good standard of the English language in order to participate

A VOIP headset may be useful so that you can talk to other students and ask the tutor questions in the Diploma course supervision groups. It is a requirement in year two. Buy a headset from Amazon UK here.

A short introductory session will be set before the classes begin to check these are set up correctly but please try and get them working on your system before the course starts.


Follow us on: